<?php
/**
* Improves the SEO Friendlyness of titles for tag pages
*
* @package   gmtagtitles
* @author    Dariusz Tryba (contact@greenmousestudio.com)
* @copyright Copyright (c) Green Mouse Studio (http://www.greenmousestudio.com)
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

if (!defined('_PS_VERSION_'))
	exit;

class GMTagTitles extends Module {
	public function __construct()
	{
		$this->name = 'gmtagtitles';
		$this->tab = 'front_office_features';
		$this->version = '1.0.2';
		$this->author = 'GreenMouseStudio.com';
        $this->bootstrap = true;
		$this->need_instance = 0;

		parent::__construct();

		$this->displayName = $this->l('Tag titles');
		$this->description = $this->l('Displays meta titles (Tag - Shop Name) on tag search pages');
		$this->ps_versions_compliancy = array('min' => '1.5', 'max' => _PS_VERSION_);
	}

	public function install()
	{
		return parent::install()
		&& $this->registerHook('displayHeader');
	}

    public function getContent() {
        return $this->context->smarty->fetch($this->local_path.'views/templates/admin/gms.tpl');
    }

	public function hookDisplayHeader()
    {
        if (($tag = urldecode(Tools::getValue('tag'))) && !is_array($tag)) {
            if (Tools::version_compare(_PS_VERSION_, '1.7.0.0', '>=')) {
                $page = $this->context->controller->getTemplateVarPage();
                $page['meta']['title'] = $tag.' - '.Configuration::get('PS_SHOP_NAME');
                $this->context->smarty->assign('page', $page);
            } else {
                $this->context->smarty->assign('meta_title', $tag.' - '.Configuration::get('PS_SHOP_NAME'));
            }
        }
    }
}
